package com.supervision.controller;

import cn.hutool.core.lang.Assert;
import com.supervision.dto.R;
import com.supervision.service.AuthService;
import com.supervision.vo.LoginReqVo;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/auth")
@RequiredArgsConstructor
public class AuthController {

    private final AuthService authService;

    @PostMapping("/login")
    public R<String> login(@RequestBody LoginReqVo loginReqVo) {
        Assert.notEmpty(loginReqVo.getUsername(), "用户名不能为空");
        String token = authService.login(loginReqVo.getUsername(), loginReqVo.getPassword());
        return R.ok(token);
    }
}
