package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 智能体对话日志
 * @TableName agent_dialogue_log
 */
@TableName(value ="agent_dialogue_log")
@Data
public class AgentDialogueLog implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 对话id
     */
    private String conversationId;

    /**
     * 用户输入
     */
    private String userInput;

    /**
     * 系统输出
     */
    private String systemOut;

    /**
     * 耗时
     */
    private Long timeCost;

    /**
     * 回答内容类型 0：正常回答 1：异常回答
     */
    private Integer answerType;

    /**
     * 智能体id
     */
    private String agentId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}