package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 数字人信息
 * @TableName digital_human
 */
@TableName(value ="digital_human")
@Data
public class DigitalHuman implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 模特名
     */
    private String modelName;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 擅长
     */
    private String goodAt;

    /**
     * 默认音色id

     */
    private String defaultVoiceId;

    /**
     * 在线状态 0：离线 1：在线
     */
    private String onlineStatus;

    /**
     * 模型类型 0：系统预设 1：自定义
     */
    private String modelType;

    /**
     * 头像图片id
     */
    private String headPicId;

    /**
     * 模特性别 0：女 1：男
     */
    private String gender;


    /**
     * 服务地址
     */
    private String serviceUrl;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}