package com.supervision.dto;

import com.supervision.domain.DigitalHuman;
import lombok.Data;

@Data
public class DigitalHumanDTO {

    private String id;

    /**
     * 模特名
     */
    private String modelName;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 擅长
     */
    private String goodAt;

    /**
     * 默认音色id

     */
    private String defaultVoiceId;

    /**
     * 在线状态 0：离线 1：在线
     */
    private String onlineStatus;

    /**
     * 模型类型 0：系统预设 1：自定义
     */
    private String modelType;

    /**
     * 头像图片id
     */
    private String headPicId;

    /**
     * 模特性别 0：女 1：男
     */
    private String gender;

    /**
     * 服务地址
     */
    private String serviceUrl;
    public DigitalHumanDTO() {
    }

    public DigitalHumanDTO(DigitalHuman digitalHuman) {
        this.id = digitalHuman.getId();
        this.modelName = digitalHuman.getModelName();
        this.industry = digitalHuman.getIndustry();
        this.goodAt = digitalHuman.getGoodAt();
        this.defaultVoiceId = digitalHuman.getDefaultVoiceId();
        this.onlineStatus = digitalHuman.getOnlineStatus();
        this.modelType = digitalHuman.getModelType();
        this.headPicId = digitalHuman.getHeadPicId();
        this.gender = digitalHuman.getGender();
        this.serviceUrl = digitalHuman.getServiceUrl();
    }
}
