package com.supervision.service.impl;

import cn.hutool.core.lang.Assert;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.domain.SysUser;
import com.supervision.dto.UserDTO;
import com.supervision.service.SysUserService;
import com.supervision.mapper.SysUserMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【sys_user】的数据库操作Service实现
* @createDate 2025-07-09 15:19:45
*/
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser>
    implements SysUserService{

    @Override
    public SysUser getByUsername(String username) {
        if (StrUtil.isEmpty(username)) {
            return null;
        }
        return this.lambdaQuery().eq(SysUser::getUserName, username).one();
    }

    @Override
    public Boolean updateUser(UserDTO user) {
        Assert.notEmpty(user.getUserName(), "用户名不能为空");
        SysUser one = super.lambdaQuery().eq(SysUser::getUserName, user.getUserName()).one();
        Assert.notNull(one, "用户不存在");
        user.setId(one.getId());
        SysUser sysUser = user.toUser();
        sysUser.setPassword(one.getPassword());// 设置密码
        return super.updateById(sysUser);
    }
}




