package com.supervision.service.impl;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.supervision.service.TTsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class TTsServiceImpl implements TTsService {


    @Value("${livetalking.tts.url}")
    private String ttsUrl;
    @Value("${livetalking.tts.model}")
    private String model;
    @Override
    public String stt(String fileName, byte[] audioData) {
        String url = ttsUrl + "/v1/audio/transcriptions";

        HttpRequest post = HttpUtil.createPost(url);
        post.form("model", model);
        post.form("file", audioData, fileName);

        try (var response = post.execute()) {
            if (response.isOk()) {
                String body = response.body();
                JSONObject entries = JSONUtil.parseObj(body);
                return entries.getStr("text");
            }
            throw new RuntimeException("STT request failed: " + response.getStatus() + " - " + response.body());
        }
    }
}
